---
updatedAt: 2025-05-22T20:27:27.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Token Price Information

The Get Token Price Information API allows you to easily fetch the token metadata profile

## Definition

This endpoint retrieves comprehensive information about the price and market metrics of a specified token. It provides users with valuable insights into the current price, historical price data, market cap, trading volume, and other relevant metrics related to the token's market performance.

## Query Parameters

For guidance on how to leverage this method, check out the following tutorials:

* **token\_id** (string): The unique identifier or symbol of the token for which price information is requested. For example, 'BTC' for Bitcoin.

## Response

The response will include a JSON object containing detailed information about the price and market metrics of the specified token.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/token/price/information": {
      "get": {
        "summary": "Get Token Price Information",
        "description": "The Get Token Price Information API allows you to easily fetch the token metadata profile",
        "operationId": "get-token-price-information",
        "parameters": [
          {
            "name": "token_id",
            "in": "query",
            "description": "String - Defines the symbol",
            "required": true,
            "schema": {
              "type": "string",
              "default": "BTC"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Succeed": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"name\": \"Bitcoin\",\n    \"symbol\": \"BTC\",\n    \"last_24h_price\": 66099.03300542814,\n    \"price\": 66171.95,\n    \"low_price\": {\n      \"timestamp\": \"2013-07-05\",\n      \"price\": 65.52600098\n    },\n    \"high_price\": {\n      \"timestamp\": \"2024-03-13\",\n      \"price\": 73607.8\n    },\n    \"volume\": 11590887154,\n    \"market_cap\": 1303017118643.2349,\n    \"token_symbol\": \"BTC\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "name": {
                          "type": "string",
                          "example": "Bitcoin"
                        },
                        "symbol": {
                          "type": "string",
                          "example": "BTC"
                        },
                        "last_24h_price": {
                          "type": "number",
                          "example": 66099.03300542814,
                          "default": 0
                        },
                        "price": {
                          "type": "number",
                          "example": 66171.95,
                          "default": 0
                        },
                        "low_price": {
                          "type": "object",
                          "properties": {
                            "timestamp": {
                              "type": "string",
                              "example": "2013-07-05"
                            },
                            "price": {
                              "type": "number",
                              "example": 65.52600098,
                              "default": 0
                            }
                          }
                        },
                        "high_price": {
                          "type": "object",
                          "properties": {
                            "timestamp": {
                              "type": "string",
                              "example": "2024-03-13"
                            },
                            "price": {
                              "type": "number",
                              "example": 73607.8,
                              "default": 0
                            }
                          }
                        },
                        "volume": {
                          "type": "integer",
                          "example": 11590887154,
                          "default": 0
                        },
                        "market_cap": {
                          "type": "number",
                          "example": 1303017118643.2349,
                          "default": 0
                        },
                        "token_symbol": {
                          "type": "string",
                          "example": "BTC"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```